/*
 * * Copyright (C) 2009-2011 Ali <aliov@xfce.org>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>


#ifdef XFCE_DISABLE_DEPRECATED
#undef XFCE_DISABLE_DEPRECATED
#endif
#include <libxfce4util/libxfce4util.h>
#include <libxfce4ui/libxfce4ui.h>

#include "parole-about.h"
#include "parole-utils.h"

void  parole_about (void)
{
    gint x, y;
    GdkPixbuf *icon;

    static gchar *translators = 
	"astur <malditoastur@gmail.com> ast\n"
	"Carles Muñoz Gorriz <carlesmu@internautas.org> ca.po\n"
	"Per Kongstad <p_kongstad@op.pl> da.po\n"
	"Christoph Wickert <cwickert@fedoraproject.org> de.po\n"
	"elega <elega@elega.com.ar> es\n"
	"Piarres Beobide <pi+debian@beobide.net> eu\n"
	"Douart Patrick <patrick.2@laposte.net> fr\n"
	"Leandro Regueiro <leandro.regueiro@gmail.com> gl\n"
	"Andhika Padmawan <andhika.padmawan@gmail.com> id\n"
	"Masato Hashimoto <cabezon.hashimoto@gmail.com> ja\n"
	"Rihards Prieditis <rprieditis@gmail.com> lv\n"
	"Mario Blättermann <mariobl@gnome.org> nl\n"
	"Sérgio Marques <smarquespt@gmail.com> pt\n"
	"Vlad Vasilev <lortwer@gmail.com> ru\n"
	"Robert Hartl <hartl.robert@gmail.com> sk\n"
	"Samed Beyribey <ras0ir@eventualis.org> tr\n"
	"Motsyo Gennadi <drool@altlinux.ru> uk\n"
	"Hunt Xu <huntxu@live.cn> zh_CN\n";

    const gchar *auth[] = { "Ali Abdallah <aliov@xfce.org> Author/Maintainer", NULL };

    gtk_icon_size_lookup (GTK_ICON_SIZE_DIALOG, &x, &y);
    icon = parole_icon_load ("parole", x);

#if !GTK_CHECK_VERSION (2, 18, 0)
    gtk_about_dialog_set_email_hook (exo_gtk_url_about_dialog_hook, NULL, NULL);
    gtk_about_dialog_set_url_hook (exo_gtk_url_about_dialog_hook, NULL, NULL);
#endif
    gtk_show_about_dialog(NULL,
       "logo", icon,
       "program-name", "Parole",
       "license", xfce_get_license_text (XFCE_LICENSE_TEXT_GPL),
       "version", VERSION,
       "comments", _("Parole Media Player"),
       "website", "http://goodies.xfce.org/projects/applications/parole",
       "copyright", _("Copyright (c) 2009-2011 Ali Abdallah\n"),
       "authors", auth,
       "translator-credits", translators, NULL);

   if (icon)
	g_object_unref (G_OBJECT (icon));
}
